<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("user_i" . "d" => base64_decode("dXNlcl9" . "pZA=="), "_79a5c6862da55a81bbba54a" . "4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlk" . "gb2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZW" . "N0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "aggr" . "egat" . "ion" => base64_decode("YWdncmVnYXRpb2" . "4="), "_ead9f7746c5d5e2801ce" . "5704837fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJF" . "IGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_0f939e9a0" . "c1b17527bc" . "e221f42ee8" . "27e" => base64_decode("IEdST1VQIEJZIHVz" . "ZXJfaWQpIHQ="), "_c5aeb46d498" . "7229cd003332" . "3a7f86836" => base64_decode("b2JqZWN0cw" . "=="), "_07afa3e4c6" . "840a90ca78d" . "b3521dfbe2b" => base64_decode("c3RkQ2xhc" . "3M="), "_d9e86995f0bc6219b3823d84" . "22326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKS" . "B1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlv" . "biBBTkQg"));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d9e86995f0bc6219b3" . "823d8422326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_79a5c6862da55a8" . "1bbba54a4e91b2e6" . "1"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["aggre" . "gatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["use" . "r_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c5aeb46d4987229cd00333" . "23a7f86836"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ead9f7746c5d5e28" . "01ce5704837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0f939e9a0c1b1" . "7527bce221f42e" . "e827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_07afa3e4" . "c6840a90c" . "a78db3521" . "dfbe2b"];
    }
}